Name:           perl-Test2-Suite
Version:        0.000024
Release:        1%{?dist}
Summary:        Set of tools built upon the Test2 framework
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test2-Suite/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/Test2-Suite-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(B)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
# Test2::API version from Test2 in META
BuildRequires:  perl(Test2::API) >= 0.000027
BuildRequires:  perl(Test2::Hub::Interceptor)
BuildRequires:  perl(Test2::Util)
BuildRequires:  perl(Test2::Util::HashBase)
BuildRequires:  perl(Test2::Util::Trace)
BuildRequires:  perl(utf8)
# Optional run-time:
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Unicode::GCString)
# Tests:
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(PerlIO)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Test2 not used in any useful way
# Test2::API version from Test2 in META
Requires:       perl(Test2::API) >= 0.000027
Requires:       perl(utf8)
# Term::ReadKey for terminal width
Recommends:     perl(Term::ReadKey)
# Unicode::GCString for formating double-width string
Recommends:     perl(Unicode::GCString)

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Test2::API\\)$

%description
Rich set of tools, plugins, bundles, etc. built upon the Test2 testing
library. If you are interested in writing Perl tests this is the distribution
for you.

%prep
%setup -q -n Test2-Suite-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2016 Petr Pisar <ppisar@redhat.com> - 0.000024-1
- 0.000024 bump

* Fri Mar 18 2016 Petr Pisar <ppisar@redhat.com> - 0.000023-1
- 0.000023 bump

* Tue Mar 08 2016 Petr Pisar <ppisar@redhat.com> - 0.000022-1
- 0.000022 bump

* Mon Mar 07 2016 Petr Pisar <ppisar@redhat.com> - 0.000021-1
- 0.000021 bump

* Thu Feb 11 2016 Petr Pisar <ppisar@redhat.com> 0.000020-1
- Specfile autogenerated by cpanspec 1.78.
